InetAddress
Date: 2016-06-24

java.net

## Class InetAddress

- java.lang.Object
- - java.net.InetAddress

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Inet4Address, Inet6Address

      public class InetAddress
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getAddress()`
    `static InetAddress[]` | `getAllByName(String var0)`
    `static InetAddress` | `getByAddress(byte[] var0)`
    `static InetAddress` | `getByAddress(String var0, byte[] var1)`
    `static InetAddress` | `getByName(String var0)`
    `String` | `getCanonicalHostName()`
    `String` | `getHostAddress()`
    `String` | `getHostName()`
    `static InetAddress` | `getLocalHost()`
    `boolean` | `isAnyLocalAddress()`
    `boolean` | `isLinkLocalAddress()`
    `boolean` | `isLoopbackAddress()`
    `boolean` | `isMCGlobal()`
    `boolean` | `isMCLinkLocal()`
    `boolean` | `isMCNodeLocal()`
    `boolean` | `isMCOrgLocal()`
    `boolean` | `isMCSiteLocal()`
    `boolean` | `isMulticastAddress()`
    `boolean` | `isSiteLocalAddress()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAddress

          public byte[] getAddress()

    - #### getAllByName

          public static InetAddress[] getAllByName(String var0)
                                            throws UnknownHostException

      Throws:
        `UnknownHostException`

    - #### getByAddress

          public static InetAddress getByAddress(String var0,
                                 byte[] var1)
                                          throws UnknownHostException

      Throws:
        `UnknownHostException`

    - #### getByAddress

          public static InetAddress getByAddress(byte[] var0)
                                          throws UnknownHostException

      Throws:
        `UnknownHostException`

    - #### getByName

          public static InetAddress getByName(String var0)
                                       throws UnknownHostException

      Throws:
        `UnknownHostException`

    - #### getCanonicalHostName

          public String getCanonicalHostName()

    - #### getHostAddress

          public String getHostAddress()

    - #### getHostName

          public String getHostName()

    - #### getLocalHost

          public static InetAddress getLocalHost()
                                          throws UnknownHostException

      Throws:
        `UnknownHostException`

    - #### isAnyLocalAddress

          public boolean isAnyLocalAddress()

    - #### isLinkLocalAddress

          public boolean isLinkLocalAddress()

    - #### isLoopbackAddress

          public boolean isLoopbackAddress()

    - #### isMCGlobal

          public boolean isMCGlobal()

    - #### isMCLinkLocal

          public boolean isMCLinkLocal()

    - #### isMCNodeLocal

          public boolean isMCNodeLocal()

    - #### isMCOrgLocal

          public boolean isMCOrgLocal()

    - #### isMCSiteLocal

          public boolean isMCSiteLocal()

    - #### isMulticastAddress

          public boolean isMulticastAddress()

    - #### isSiteLocalAddress

          public boolean isSiteLocalAddress()